Create Api Key
POST
/api_keysAuthorization
cookieAuth __Host-hms_session<token>
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api_keys" \ -H "Content-Type: application/json" \ -d '{ "kind": "secret", "name": "string" }'{ "id": "string", "object": "api_key", "livemode": true, "kind": "secret", "name": "string", "key_prefix": "string", "last_four": "stri", "token": "string", "token_stored": true, "scopes": [ "string" ], "product_ids": [ "string" ], "agent_id": null, "created_by_user_id": "string", "rotated_from_id": "string", "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "revoked_at": "2019-08-24T14:15:22Z", "last_used_at": "2019-08-24T14:15:22Z", "rotated_out_at": "2019-08-24T14:15:22Z"}